Skip to main content
POST
/
registry
/
v1
/
agents
/
{agentId}
/
subscriptions
Subscribe an agent to another agent
curl --request POST \
  --url https://api.swarmd.ai/registry/v1/agents/{agentId}/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "authConfig": {
    "authType": "NONE",
    "oauth2": {
      "clientId": "<string>",
      "clientSecret": "<string>",
      "tokenUrl": "<string>",
      "scopes": [
        "<string>"
      ]
    },
    "apiKey": {
      "apiKeyValue": "<string>",
      "apiKeyHeader": "<string>"
    },
    "bearer": {
      "token": "<string>"
    }
  }
}
'

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

agentId
string<uuid>
required

Body

application/json
sinkAgentId
string<uuid>
required
authConfig
object

Response

204

No Content